Subject: Re: [PATCH 10/10] arm64: Add Tegra194 PCIe driver to defconfig

From: Jisheng Zhang <[email-masked]>
Date: Thu, 28 Mar 2019 08:19:23 +0000

On Wed, 27 Mar 2019 12:26:49 +0000 Jon Hunter wrote:

> 
> 
> On 27/03/2019 10:12, Vidya Sagar wrote:
> > On 3/27/2019 3:38 PM, Jon Hunter wrote:  
> >>
> >> On 26/03/2019 15:13, Vidya Sagar wrote:  
> >>> Add PCIe host controller driver for DesignWare core based
> >>> PCIe controller IP present in Tegra194.
> >>>
> >>> Signed-off-by: Vidya Sagar <[email-masked]>
> >>> ---
> >>>   arch/arm64/configs/defconfig | 1 +
> >>>   1 file changed, 1 insertion(+)
> >>>
> >>> diff --git a/arch/arm64/configs/defconfig b/arch/arm64/configs/defconfig
> >>> index 2d9c39033c1a..2ddea5c4e87d 100644
> >>> --- a/arch/arm64/configs/defconfig
> >>> +++ b/arch/arm64/configs/defconfig
> >>> @@ -87,6 +87,7 @@ CONFIG_PCIE_QCOM=y
> >>>   CONFIG_PCIE_ARMADA_8K=y
> >>>   CONFIG_PCIE_KIRIN=y
> >>>   CONFIG_PCIE_HISI_STB=y
> >>> +CONFIG_PCIE_TEGRA194=y
> >>>   CONFIG_ARM64_VA_BITS_48=y
> >>>   CONFIG_SCHED_MC=y
> >>>   CONFIG_NUMA=y  
> >>
> >> Maybe building as a module is more appropriate here as I am not sure
> >> that anyone else will want this built-in and it is not critical to
> >> booting AFAIK.  
> > Since the DesignWare core framework doesn't yet have support for making
> > this
> > as a module, I added it as a built-in driver. I'll switch it to a module
> > once support is available.  
> 
> Ah I see. We often get reports/patches if a driver has a removal
> function but is defined in the Kconfig to only support being built-in.
> 
> Does the designware core just need to export some symbols to support it
> being a module? If so it maybe worth adding these as part of the series
> to see if it is acceptable, otherwise it might not get done and there is
> no point us supporting it as a module.

After https://lkml.org/lkml/2019/3/18/363

we could implement the "remove"

Thanks

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel